# Python Interface to Voro++

The project provides a Python interface to [Voro++](https://math.lbl.gov/voro++), a powerful C++ library for performing 3D Voronoi tessellations. By bridging Voro++ with Python, the interface allows users to easily integrate Voronoi computations into Python-based workflows.

## Status of the Interface

Currently, this interface covers only a subset of Voro++ full functionality. Contributions to expand support are welcome. Developers interested in extending the interface are encouraged to consult the data structures and class hierarchy in the [Voro++ reference guide](https://math.lbl.gov/voro++/doc/refman/annotated.html).

## Installation Requirements

To install this package via `pip`, please ensure that you have `pip` version **23.0.0 or higher** for full support of [PEP 621](https://peps.python.org/pep-0621/) metadata in `pyproject.toml`.

## Reporting Issues

For bug reports or feature requests, please contact the author:

**Siyu Chen**  
sc2090@cam.ac.uk

## Acknowledgment and Citation

If you use **voropy** in your research, publications, or software projects, please acknowledge the author and cite this work to support ongoing development.
